Skip to main content
GET
/
api
/
admin
/
webhooks
/
{id}
Get webhook details
curl --request GET \
  --url https://{instance}.{env}.on-hellgate.cloud/api/admin/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "events": [
    "<string>"
  ],
  "inserted_at": "2023-11-07T05:31:56Z",
  "masked_hmac_key": "abc12xxxxx",
  "updated_at": "2023-11-07T05:31:56Z",
  "url": "<string>"
}

Authorizations

Authorization
string
header
required

HS256-signed JWT bearer token, obtained via the OAuth2 client-credentials grant (see Authentication).

Path Parameters

id
string
required

Response

Webhook

id
string<uuid>
events
string[]
inserted_at
string<date-time>
masked_hmac_key
string | null

Masked HMAC key showing only the first 5 characters.

Example:

"abc12xxxxx"

updated_at
string<date-time>
url
string<uri>